#!/bin/sh

# speedup against original version

gnuplot <<EOF
set terminal postscript color
set output "speedup-vp.ps"

set key off

#set xrange [1:2]
set yrange [1:1.7]
set xlabel ""
set ylabel "speedup"

set style line 1 lt rgb "#4e9a06"
set style fill solid 1 border 0
set boxwidth 2

set grid nopolar
set grid noxtics nomxtics ytics nomytics noztics nomztics \
 nox2tics nomx2tics noy2tics nomy2tics nocbtics nomcbtics

set xtics rotate by -25

set xtics border nomirror
set ytics border nomirror
unset border

set style histogram 
set style data histogram
set style increment user

plot 'results2/all' using 2:xticlabels(1)

#plot 'results2/gc-bench', \
#     'results2/threaded-gc-bench', \
#     'results2/mandelbrot', \
#     'results2/compile-series', \
#     'results2/lindenmayer', \
#     'results2/xuriella', \
#     'results2/montezuma', \
#     'results2/complete-rubbish', \
#     'results2/cl-ppcre'

EOF
